<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme_Palace
 * @subpackage Philosophy_Pro
 * @since 1.0
 */

get_header(); ?>

	<div class="wrapper page-section" style="padding-top:100px; padding-bottom:100px;">
        <div id="primary" class="content-area col-3">
          	<main id="main" class="site-main blog-text" role="main">
            	<div class="row archive-wrapper" id="infinite-scroll">

					<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Format-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;

				echo '</div><!-- .row -->';

				/**
				* Hook - philosophy_pro_action_pagination.
				*
				* @hooked philosophy_pro_pagination 
				*/
				do_action( 'philosophy_pro_action_pagination' ); 
				?>

			</main><!-- #main -->
		</div><!-- #primary -->
		<?php 
			if ( philosophy_pro_is_sidebar_enable() ) {
				get_sidebar();
			}
		?>
	</div><!-- .page-section -->
<?php
get_footer();
