<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme_Palace
	 */

	/**
	 * philosophy_pro_doctype hook
	 *
	 * @hooked philosophy_pro_doctype -  10
	 *
	 */
	do_action( 'philosophy_pro_doctype' );
?>
<head>
<?php
	/**
	 * philosophy_pro_before_wp_head hook
	 *
	 * @hooked philosophy_pro_head -  10
	 *
	 */
	do_action( 'philosophy_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>
<?php
	/**
	 * philosophy_pro_page_start_action hook
	 *
	 * @hooked philosophy_pro_page_start -  10
	 *
	 */
	do_action( 'philosophy_pro_page_start_action' ); 

	/**
	 * philosophy_pro_loader_action hook
	 *
	 * @hooked philosophy_pro_loader -  10
	 *
	 */
	do_action( 'philosophy_pro_before_header' );

	/**
	 * philosophy_pro_header_action hook
	 *
	 * @hooked philosophy_pro_header_start -  10
	 * @hooked philosophy_pro_site_branding -  20
	 * @hooked philosophy_pro_site_navigation -  30
	 * @hooked philosophy_pro_header_end -  50
	 *
	 */
	do_action( 'philosophy_pro_header_action' );

	/**
	 * philosophy_pro_content_start_action hook
	 *
	 * @hooked philosophy_pro_content_start -  10
	 */
	do_action( 'philosophy_pro_content_start_action' );

	if( is_home() || !is_front_page() ) { 
		/**
		 * philosophy_pro_banner_image_action hook
		 *
		 * @hooked philosophy_pro_render_banner_section -  10
		 */
		do_action( 'philosophy_pro_banner_image_action' );
	}
	/**
	 * philosophy_pro_homepage_section hook
	 *
	 * @hooked philosophy_pro_add_slider_section -  10
	 * @hooked philosophy_pro_add_about_section -  20
	 * @hooked philosophy_pro_add_services_section -  30
	 * @hooked philosophy_pro_add_skills_section -  40
	 * @hooked philosophy_pro_add_work_section -  50
	 * @hooked philosophy_pro_add_team_section -  60
	 * @hooked philosophy_pro_add_counter_section -  70
	 * @hooked philosophy_pro_render_testimonial_and_client_section -  80
	 * @hooked philosophy_pro_add_blog_section -  90
	 *
	 */
	do_action( 'philosophy_pro_homepage_section' );
	

	
