<?php
/**
* Loader options
*
* @package Theme_Palace
* @subpackage Philosophy_Pro
* @since 1.0
*/

$wp_customize->add_section( 'philosophy_pro_loader', array(
	'title'               => esc_html__('Loader','philosophy-pro'),
	'description'         => esc_html__( 'Loader section options.', 'philosophy-pro' ),
	'panel'               => 'philosophy_pro_theme_options_panel'
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'philosophy_pro_theme_options[loader_enable]', array(
	'sanitize_callback'   => 'philosophy_pro_sanitize_checkbox',
	'default'             => $options['loader_enable']
) );

$wp_customize->add_control( 'philosophy_pro_theme_options[loader_enable]', array(
	'label'               => esc_html__( 'Enable loader', 'philosophy-pro' ),
	'section'             => 'philosophy_pro_loader',
	'type'                => 'checkbox',
) );

// Loader icons setting and control.
$wp_customize->add_setting( 'philosophy_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'sanitize_text_field',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'philosophy_pro_theme_options[loader_icon]', array(
	'label'           => esc_html__( 'Icon', 'philosophy-pro' ),
	'description'       => esc_html__( 'Example fa-refresh see more at ', 'philosophy-pro' ) . sprintf( '<a target="_blank" href="' . esc_url( 'http://fontawesome.io/icons/' ) . '">'. esc_html__( 'Font awesome', 'philosophy-pro' ). '</a>' ),
	'section'         => 'philosophy_pro_loader',
	'active_callback' => 'philosophy_pro_is_loader_enable',
) );