<?php
/**
* pagination options
*
* @package Theme_Palace
* @subpackage Philosophy_Pro
* @since 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'philosophy_pro_pagination', array(
	'title'               => esc_html__('Pagination','philosophy-pro'),
	'description'         => esc_html__( 'Pagination section options.', 'philosophy-pro' ),
	'panel'               => 'philosophy_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'philosophy_pro_theme_options[pagination_enable]', array(
	'sanitize_callback'   => 'philosophy_pro_sanitize_checkbox',
	'default'             => $options['pagination_enable']
) );

$wp_customize->add_control( 'philosophy_pro_theme_options[pagination_enable]', array(
	'label'               => esc_html__( 'Pagination Enable', 'philosophy-pro' ),
	'section'             => 'philosophy_pro_pagination',
	'type'                => 'checkbox',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'philosophy_pro_theme_options[pagination_type]', array(
	'sanitize_callback'   => 'philosophy_pro_sanitize_select',
	'default'             => $options['pagination_type']
) );

$wp_customize->add_control( 'philosophy_pro_theme_options[pagination_type]', array(
	'label'               => esc_html__( 'Pagination Type', 'philosophy-pro' ),
	'section'             => 'philosophy_pro_pagination',
	'type'                => 'select',
	'choices'			  => philosophy_pro_pagination_options(),
	'active_callback'	  => 'philosophy_pro_is_pagination_enable'
) );
